{
  "files.associations": {
    "stdexcept": "cpp",
    "string": "cpp",
    "iosfwd": "cpp",
    "vector": "cpp",
    "array": "cpp",
    "string_view": "cpp"
  },
  "cpp.lint.enabled": true,
  "cpp.lint.linter": "clang", // You can use "clang" or others like "gcc"
  "cpp.lint.lintOnSave": true, // Enable linting on save
  "editor.formatOnSave": true, // Automatically format on save
  "C_Cpp.clang_format_style": "file" // Use .clang-format file for style rules
}
